Package org.apache.ignite.internal.management.encryption

## Class EncryptionResumeReencryptionCommand

- java.lang.Object
- - org.apache.ignite.internal.management.encryption.EncryptionResumeReencryptionCommand

All Implemented Interfaces:
  `Command<EncryptionCacheGroupArg,​CacheGroupEncryptionTaskResult<Boolean>>`, `ComputeCommand<EncryptionCacheGroupArg,​CacheGroupEncryptionTaskResult<Boolean>>`

    public class EncryptionResumeReencryptionCommand
    extends Object

### Field Summary

### Fields inherited from interface org.apache.ignite.internal.management.api.Command

`CMD_NAME_POSTFIX`

### Constructor Summary

Constructors
`EncryptionResumeReencryptionCommand()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Class<EncryptionCacheGroupArg>` `argClass()`
`String` `description()` Command description.
`Collection<GridClientNode>` `nodes​(Collection<GridClientNode> nodes, EncryptionCacheGroupArg arg)`
`protected void` `printNodeResult​(Boolean success, String grpName, Consumer<String> printer)`
`void` `printResult​(EncryptionCacheGroupArg arg, CacheGroupEncryptionTaskResult<T> res, Consumer<String> printer)` Prints command result to the user.
`Class<ReencryptionResumeTask>` `taskClass()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.management.api.Command

`confirmationPrompt, deprecationMessage`

### Methods inherited from interface org.apache.ignite.internal.management.api.ComputeCommand

`handleException`

### Constructor Detail

#### EncryptionResumeReencryptionCommand

    public EncryptionResumeReencryptionCommand()

### Method Detail

#### description

    public String description()

Command description.

#### argClass

    public Class<EncryptionCacheGroupArg> argClass()

Returns:
  Arguments class.

#### taskClass

    public Class<ReencryptionResumeTask> taskClass()

Returns:
  Task class.

#### printNodeResult

    protected void printNodeResult​(Boolean success,
                                   String grpName,
                                   Consumer<String> printer)

Parameters:
  `success` - Response.
  `grpName` - Cache group name.
  `printer` - Printer.

#### printResult

    public void printResult​(EncryptionCacheGroupArg arg,
                            CacheGroupEncryptionTaskResult<T> res,
                            Consumer<String> printer)

Prints command result to the user.

Specified by:
  `printResult` in interface `ComputeCommand<EncryptionCacheGroupArg,​CacheGroupEncryptionTaskResult<T>>`
Parameters:
  `arg` - Argument.
  `res` - Result.
  `printer` - Implementation specific printer.

#### nodes

    public Collection<GridClientNode> nodes​(Collection<GridClientNode> nodes,
                                            EncryptionCacheGroupArg arg)

Specified by:
  `nodes` in interface `ComputeCommand<EncryptionCacheGroupArg,​CacheGroupEncryptionTaskResult<T>>`
Parameters:
  `nodes` - Live nodes.
  `arg` - Argument.
Returns:
  nodes to execute command on, `null` means default node must be used.